### Method

# FwupdPlugin Device build_vendor_id

#### Declaration [src]

    void
    fu_device_build_vendor_id (
      FuDevice* self,
      const gchar* prefix,
      const gchar* value
    )

#### Description [src]

Builds a device vendor ID, if `value` is not `NULL`.

Available since: | 2.0.0

#### Parameters

`prefix` | `const gchar*`
| A prefix string, e.g. `USB`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A value, e.g. `0x1234`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.